## nginx 1.18.0

=== debian/changelog ===
nginx (1.18.0-8) unstable; urgency=medium

  * Restore patch:
    d/p/Resolver-fixed-off-by-one-write-in-ngx_resolver_copy.patch

 -- Ondřej Nový <onovy@debian.org>  Tue, 15 Mar 2022 13:23:06 +0100

nginx (1.18.0-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/p/CVE-2019-20372.patch: Drop, applied upstream.
  * http-auth-pam: Upgrade to 1.5.3.
  * http-echo: Upgrade to 0.62.
  * nchan: Upgrade to 1.2.15.
  * http-fancyindex: Upgrade to 0.5.2.
  * rtmp: Upgrade to 1.2.2.
  * http-lua: Upgrade to 0.10.15 (Closes: #994178).
  * http-lua: Rebase patch.
  * nchan: Drop GCC 10 patch, applied upstream.
  * d/watch: Bump version to 4.
  * Bump standards version to 4.6.1 (no changes).
  * d/copyright: Bump my copyright year.

  [ Ondřej Surý ]
  * Add arm64 and ppc64el to list of luajit platforms.

  [ Athos Ribeiro ]
  * d/nginx-common.nginx.service: Fix service shutdown desctiption to mention
    SIGQUIT instead of SIGSTOP (LP: #1919965).

 -- Ondřej Nový <onovy@debian.org>  Tue, 15 Mar 2022 11:50:18 +0100

nginx (1.18.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Resolver: fixed off-by-one write in ngx_resolver_copy() (CVE-2021-23017)
    (Closes: #989095)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 29 May 2021 16:21:37 +0200

nginx (1.18.0-6) unstable; urgency=medium

  * Fix GCC-10 compatibility (Closes: #957605).

 -- Ondřej Nový <onovy@debian.org>  Wed, 19 Aug 2020 15:27:02 +0200

nginx (1.18.0-5) unstable; urgency=medium

  * Prevented request smuggling in LUA
    CVE-2020-11724
    Closes: #964950

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jul 2020 10:08:15 +0200

nginx (1.18.0-4) unstable; urgency=medium

  * Revert: libnginx-mod-* now depends on nginx-<any flavour> (Closes: #963860).
  * Update ngx_http_auth_pam_module upstream URL.
  * libnginx-mod-* recommends nginx now.
  * http-auth-pam: Upgrade to 1.5.2 (Closes: #963567).
  * d/copyright: Bump year of http-auth-pam.

 -- Ondřej Nový <onovy@debian.org>  Fri, 03 Jul 2020 09:34:49 +0200

nginx (1.18.0-3) unstable; urgency=medium

  * Source-only upload to allow migration.

 -- Ondřej Nový <onovy@debian.org>  Thu, 11 Jun 2020 15:14:59 +0200

nginx (1.18.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright:
    - Update for upstream release
    - Add Thomas Ward from Ubuntu for debian/*
  * d/conf/sites-available/default: Update PHP path for PHP 7.4
  * d/conf/nginx.conf:
    - Enable TLSv1.3
    - Remove tcp_nodelay on, which is same as default
    - Remove keepalive_timeout 65 and use default value 75s.
    - Remove trailing whitespaces
  * Introduce nginx-core and make it new default for "nginx"
  * Add stream-geoip and stream-geoip2 modules
  * d/ngx-conf: Convert to Python 3
  * d/control: Add GeoIP2 into description
  * Build dynamic modules only in extras flavour
  * libnginx-mod-* now depends on nginx-<any flavour>
  * Check if port 80 is free before starting during install

  [ Ondřej Surý ]
  * http-geoip2: Add ngx_http_geoip2_module 3.3

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 18:28:40 +0200

nginx (1.18.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream version 1.18.0
  * Add REMOTE_USER fastcgi param
  * Use debhelper-compat instead of debian/compat
  * Replace dh_systemd_enable with dh_installsystemd
  * Set Rules-Requires-Root: no
  * d/rules/dh_installinit: Replace --no-restart-on-upgrade with
    --no-stop-on-upgrade
  * Bump debhelper compat level to 13
  * Use package.maintscript instead of dpkg-maintscript-helper
  * Bump standards version to 4.5.0
  * d/watch: Change to 1.18.x
  * d/patches/CVE-2019-20372.patch: Rebase
  * Convert d/ngxmod to Python 3 (Closes: #953025)
  * nchan: Upgrade to 1.2.7
  * http-fancyindex: Upgrade to 0.4.4
  * d/copyright: Add myself for Debian part
  * Add myself as uploader

  [ Mohamed Akram ]
  * Enable --with-compat configure option (Closes: #897926)

 -- Ondřej Nový <onovy@debian.org>  Fri, 29 May 2020 19:03:30 +0200

nginx (1.16.1-3) unstable; urgency=high

  * Handle CVE-2019-20372, error page request smuggling
    (Closes: #948579)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sat, 11 Jan 2020 09:36:00 +0200

nginx (1.16.1-2) unstable; urgency=medium

  * http-lua: Downgrade to 0.10.13 (Closes: #941917)
    Temporary fix FTBFS on architectures where Luajit is not available.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sat, 12 Oct 2019 17:59:23 +0300

nginx (1.16.1-1) unstable; urgency=medium

  * New upstream version (Closes: #929200)
  * Follow stable 1.16 releases (Closes: #929199)
  * Drop already included debian patches
  * http-ndk: Upgrade to 0.3.1
  * http-lua: Upgrade to 0.10.15

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 09 Sep 2019 18:24:43 +0300

nginx (1.14.2-3) unstable; urgency=high

  * Backport upstream fixes for 3 CVEs (Closes: #935037)
    Those fixes affect Nginx HTTP/2 implementation, which might cause
    excessive memory consumption and CPU usage.
    (CVE-2019-9511, CVE-2019-9513, CVE-2019-9516).

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 19 Aug 2019 11:30:08 +0300
